## Apache Zeta Components Manual :: Docs For Class ezcDbSchemaXmlWriter

### DatabaseSchema::ezcDbSchemaXmlWriter

### Class ezcDbSchemaXmlWriter

Handler that stores database definitions and database difference definitions to a file in an XML format.

Source for this file: /DatabaseSchema/src/handlers/xml/writer.php

### Implements interfaces:

- ezcDbSchemaFileWriter
- ezcDbSchemaDiffFileWriter

Version: | //autogentag//

### Method Summary

public int | `getDiffWriterType( )` Returns what type of schema difference writer this class implements.
public int | `getWriterType( )` Returns what type of schema writer this class implements.
public void | `saveDiffToFile( $file , $dbSchema )` Writes the schema difference definition in $dbSchema to the file $file.
public void | `saveToFile( $file , $dbSchema )` Writes the schema definition in $dbSchema to the file $file.

### Methods

#### getDiffWriterType

int getDiffWriterType( )

Returns what type of schema difference writer this class implements.

This method always returns ezcDbSchema::FILE

##### Implementation of:

Method | Description
--- | ---
`ezcDbSchemaDiffWriter::getDiffWriterType()` | Returns what type of schema difference writer this class implements.

#### getWriterType

int getWriterType( )

Returns what type of schema writer this class implements.

This method always returns ezcDbSchema::FILE

##### Implementation of:

Method | Description
--- | ---
`ezcDbSchemaWriter::getWriterType()` | Returns what type of schema writer this class implements.

#### saveDiffToFile

void saveDiffToFile( string $file , ezcDbSchemaDiff $dbSchema )

Writes the schema difference definition in $dbSchema to the file $file.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$file` | string |
`$dbSchema` | ezcDbSchemaDiff |

##### Implementation of:

Method | Description
--- | ---
`ezcDbSchemaDiffFileWriter::saveDiffToFile()` | Saves the differences in $schemaDiff to the file $file

#### saveToFile

void saveToFile( string $file , ezcDbSchema $dbSchema )

Writes the schema definition in $dbSchema to the file $file.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$file` | string |
`$dbSchema` | ezcDbSchema |

##### Implementation of:

Method | Description
--- | ---
`ezcDbSchemaFileWriter::saveToFile()` | Saves the schema definition in $schema to the file $file.

Documentation generated by phpDocumentor 1.4.3